
QGIS Application - Bug report #13779

symbols not correctly clipped in map legend

2015-11-06 06:59 AM - Alexander Novoselov

Status: Closed

Priority: High

Assignee:

Category: Map Legend

Affected QGIS version:2.18.4 Regression?: Yes

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 21805

Description

New description:

in QGIS >= 2.10 the legend shows the symbology too wide/high if the symbols are large/high. This was partially fixed in 2.12/master

where this symbols are clipped vertically but not also horizontally, as it was for qgis <= 2.8.3. Sample images attached.

Old Descriptions:

corrupt symbols in the Layers Panel

This is seen in the video:

https://youtu.be/znx5GAydSCk

QGIS version

2.12.0-Lyon

QGIS code revision

exported

Compiled against Qt

4.8.6

Running against Qt

4.8.6

Compiled against GDAL/OGR

1.11.2

Running against GDAL/OGR

1.11.2

Compiled against GEOS

3.4.2-CAPI-1.8.2

Running against GEOS

3.4.2-CAPI-1.8.2 r3921

PostgreSQL Client Version

9.3.4

SpatiaLite Version

4.1.1

QWT Version

5.2.3

PROJ.4 Version

480

QScintilla2 Version
2.8.1

This copy of QGIS writes debugging output.

History

#1 - 2015-11-06 11:29 AM - Giovanni Manghi

- Target version deleted (Version 2.12)

- Category set to Symbology

- Status changed from Open to Feedback

Thanks for the cast, maybe I'm missing something obvious but I'm not really getting where the issue is, could you please try explain me? maybe attaching a

small project with a small sample dataset? Thanks.

#2 - 2015-11-07 10:53 AM - Alexander Novoselov

- File qq.tar.gz added

#3 - 2015-11-07 11:44 AM - Giovanni Manghi

In the project you attached what I see in the layers panel is the exact representation of the point symbols as you defined in the vector properties, no

corruption. There are two symbology classes that are a represented by a circle and a wide cross, in the legend you can partially see this cross (its width is

full, its hight is not because there no enough vertical space).

#4 - 2015-11-07 07:49 PM - Alexander Novoselov

- File qq2.tar.bz2 added

previous versions correctly cut the sign, and showed the same size. In this case, the display becomes not neat. In one of the beta versions of the sign

displayed in full (horizontally and vertically), and this is bad. To illustrate the problem - try to strengthen it. Look at the new data. It would be logical to limit

this symbolism, and does not reflect the whole as before. In the Layer Properties dialog box symbols displayed correctly. In this case, use the program

becomes very uncomfortable.

#5 - 2015-11-07 08:34 PM - Alexander Novoselov

- File qq.png added

#6 - 2015-11-08 03:23 AM - Giovanni Manghi

- OS version deleted (Ubuntu 14.04)

- Affected QGIS version changed from 2.12.0 to master

- Operating System deleted (Linux)

- Target version set to Future Release - High Priority

- Priority changed from Normal to Severe/Regression

- Status changed from Feedback to Open

- Category changed from Symbology to Map Legend

- Subject changed from corrupt symbols in the Layers Panel to symbols not correctly clipped in map legend

- File 212_master.png added

- File 210.png added

- File 283.png added

#7 - 2016-01-23 12:14 PM - Martin Dobias
Hmm the question is what is a good fix for this :-)

The variable size of legend icons has been introduced in 2.10 (and later updated to only change icon width to avoid vertically wide items). Without the

dynamic icon size, bigger markers in legend would be impossible to distinguish. Some possibilities from the top of my head:

    -  introduce a reasonable maximum icon width

    -  use dynamic icon width only for symbols with data-defined size

    -  something else?

Opinions are welcome...

#8 - 2016-01-24 02:17 AM - Alexander Novoselov

Return the fixed value and the ability to specify the properties of the layer height and width icon.

#9 - 2016-02-26 10:21 PM - Alexander Novoselov

https://youtu.be/ahOgcZnbiD0

#10 - 2016-03-02 10:55 PM - Alexander Novoselov

- File qgis2.14.0.png added

Qgis 2.14.0

If map units are used, the legend changes, as in this video. It is necessary to roll back the changes in the legend. Or make the option "not to scale legend."

https://youtu.be/ahOgcZnbiD0

#11 - 2016-05-24 01:16 AM - R. R.

See also #14850

#12 - 2016-07-28 10:07 PM - Alexander Novoselov

Qgis 2.16.0  same error:

If map units are used, the legend changes, as in this video. It is necessary to roll back the changes in the legend. Or make the option "not to scale legend."

https://youtu.be/ahOgcZnbiD0

#13 - 2016-11-19 11:52 AM - R. R.

- File 13779_geometry_generator.mp4 added

- File 13779_geometry_generator.zip added

Using a geometry generator style also causes weird symbols in the layers panel.

See also: #15860 (Geometry generator styling expands legend panel)
#14 - 2017-03-03 03:22 AM - Giovanni Manghi

- Affected QGIS version changed from master to 2.18.4

- Target version changed from Future Release - High Priority to Version 3.0

This regression affects also the latest 2.18 release.

#15 - 2017-04-30 05:08 PM - Giovanni Manghi

- Regression? set to Yes

#16 - 2017-04-30 05:08 PM - Giovanni Manghi

- Priority changed from Severe/Regression to High

#17 - 2017-05-01 01:10 AM - Giovanni Manghi

- Easy fix? set to No

#18 - 2019-03-09 03:09 PM - Giovanni Manghi

- Resolution set to end of life

- Status changed from Open to Closed

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release  (LTR) version. This is a major step in our history – a long term release version based on the

massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.

We strongly encourage all users who are currently using QGIS 2.18 LTR  as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version

will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the

relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the

ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help

you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and

administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

Files

qq.tar.gz 8.37 KB 2015-11-07 Alexander Novoselov

qq2.tar.bz2 9.34 KB 2015-11-07 Alexander Novoselov
qq.png 90.2 KB 2015-11-07 Alexander Novoselov

283.png 6.88 KB 2015-11-08 Giovanni Manghi

210.png 7.25 KB 2015-11-08 Giovanni Manghi

212_master.png 6.69 KB 2015-11-08 Giovanni Manghi

qgis2.14.0.png 172 KB 2016-03-02 Alexander Novoselov

13779_geometry_generator.mp4 1.51 MB 2016-11-19 R. R.

13779_geometry_generator.zip 18.3 KB 2016-11-19 R. R.
